apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: podpod-secret
spec:
  #refreshInterval: "15s"
  refreshInterval: "0"
  secretStoreRef:
    name: vault-backend
    kind: ClusterSecretStore
  target:
    deletionPolicy: Delete
    template:
      engineVersion: v2
      metadata:
        labels:
          maju.mundur/soto-mie: oyi
      data:
        config.yaml: |
          server:
            port: ":9999"
            # release mode: debug, test, release
            mode: debug
            text: {{ .text }}

  data:
    - secretKey: text
      remoteRef:
        key: staging/podpod # kv path
        property: text # kv variable/list/property